Index: /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm
===================================================================
--- /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm	(revision 50158)
+++ /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm	(revision 50159)
@@ -10022,22 +10198,22 @@
     add dx, strict byte 00008h                ; 83 c2 08
     mov ax, strict word 00040h                ; b8 40 00
-    call 0161ch                               ; e8 14 a7
+    call 0161ch                               ; e8 60 a5
     mov bx, ax                                ; 89 c3
     mov si, ax                                ; 89 c6
     cmp byte [bp+013h], 003h                  ; 80 7e 13 03
-    jnc near 06f9dh                           ; 0f 83 89 00
+    jnc near 07151h                           ; 0f 83 89 00
     mov ax, word [bp+00eh]                    ; 8b 46 0e
     cmp ax, strict word 00003h                ; 3d 03 00
-    jnc near 06f9dh                           ; 0f 83 7f 00
+    jnc near 07151h                           ; 0f 83 7f 00
     test bx, bx                               ; 85 db
-    jbe near 06f9dh                           ; 0f 86 79 00
+    jbe near 07151h                           ; 0f 86 79 00
     mov dx, ax                                ; 89 c2
     add dx, strict byte 00078h                ; 83 c2 78
     mov ax, strict word 00040h                ; b8 40 00
-    call 01600h                               ; e8 d1 a6
+    call 01600h                               ; e8 1d a5
     movzx cx, al                              ; 0f b6 c8
     sal cx, 008h                              ; c1 e1 08
     cmp byte [bp+013h], 000h                  ; 80 7e 13 00
-    jne short 06f68h                          ; 75 2d
+    jne short 0711ch                          ; 75 2d
     mov al, byte [bp+012h]                    ; 8a 46 12
     mov dx, bx                                ; 89 da
@@ -10059,11 +10235,11 @@
     ; sub ah, ah                                ; 2a e4
     test AL, strict byte 040h                 ; a8 40
-    je short 06f68h                           ; 74 07
+    je short 0711ch                           ; 74 07
     test cx, cx                               ; 85 c9
-    je short 06f68h                           ; 74 03
+    je short 0711ch                           ; 74 03
     dec cx                                    ; 49
-    jmp short 06f57h                          ; eb ef
+    jmp short 0710bh                          ; eb ef
     cmp byte [bp+013h], 001h                  ; 80 7e 13 01
-    jne short 06f84h                          ; 75 16
+    jne short 07138h                          ; 75 16
     lea dx, [si+002h]                         ; 8d 54 02
     in AL, DX                                 ; ec
@@ -10084,8 +10260,8 @@
     mov byte [bp+013h], al                    ; 88 46 13
     test cx, cx                               ; 85 c9
-    jne short 06f97h                          ; 75 04
+    jne short 0714bh                          ; 75 04
     or byte [bp+013h], 001h                   ; 80 4e 13 01
     and byte [bp+01ch], 0feh                  ; 80 66 1c fe
-    jmp short 06fa1h                          ; eb 04
+    jmp short 07155h                          ; eb 04
     or byte [bp+01ch], 001h                   ; 80 4e 1c 01
     lea sp, [bp-002h]                         ; 8d 66 fe
@@ -10093,5 +10269,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-wait_:                                       ; 0xf6fa7 LB 0xb2
+wait_:                                       ; 0xf715b LB 0xb2
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -10111,5 +10287,5 @@
     mov dx, 0046ch                            ; ba 6c 04
     xor ax, ax                                ; 31 c0
-    call 01638h                               ; e8 6e a6
+    call 01638h                               ; e8 ba a4
     mov word [bp-00eh], ax                    ; 89 46 f2
     mov bx, dx                                ; 89 d3
@@ -10117,20 +10293,20 @@
     mov dx, 0046ch                            ; ba 6c 04
     xor ax, ax                                ; 31 c0
-    call 01638h                               ; e8 60 a6
+    call 01638h                               ; e8 ac a4
     mov word [bp-012h], ax                    ; 89 46 ee
     mov di, dx                                ; 89 d7
     cmp dx, bx                                ; 39 da
-    jnbe short 06fe8h                         ; 77 07
-    jne short 06fefh                          ; 75 0c
+    jnbe short 0719ch                         ; 77 07
+    jne short 071a3h                          ; 75 0c
     cmp ax, word [bp-00eh]                    ; 3b 46 f2
-    jbe short 06fefh                          ; 76 07
+    jbe short 071a3h                          ; 76 07
     sub ax, word [bp-00eh]                    ; 2b 46 f2
     sbb dx, bx                                ; 19 da
-    jmp short 06ffah                          ; eb 0b
+    jmp short 071aeh                          ; eb 0b
     cmp dx, bx                                ; 39 da
-    jc short 06ffah                           ; 72 07
-    jne short 06ffeh                          ; 75 09
+    jc short 071aeh                           ; 72 07
+    jne short 071b2h                          ; 75 09
     cmp ax, word [bp-00eh]                    ; 3b 46 f2
-    jnc short 06ffeh                          ; 73 04
+    jnc short 071b2h                          ; 73 04
     sub si, ax                                ; 29 c6
     sbb cx, dx                                ; 19 d1
@@ -10140,11 +10316,11 @@
     mov ax, 00100h                            ; b8 00 01
     int 016h                                  ; cd 16
-    je near 07014h                            ; 0f 84 05 00
+    je near 071c8h                            ; 0f 84 05 00
     mov AL, strict byte 001h                  ; b0 01
-    jmp near 07016h                           ; e9 02 00
+    jmp near 071cah                           ; e9 02 00
     db  032h, 0c0h
     ; xor al, al                                ; 32 c0
     test al, al                               ; 84 c0
-    je short 0703eh                           ; 74 24
+    je short 071f2h                           ; 74 24
     db  033h, 0c0h
     ; xor ax, ax                                ; 33 c0
@@ -10157,15 +10333,15 @@
     push 0099eh                               ; 68 9e 09
     push strict byte 00004h                   ; 6a 04
-    call 0190dh                               ; e8 dc a8
+    call 01922h                               ; e8 3d a7
     add sp, strict byte 00006h                ; 83 c4 06
     cmp byte [bp-00ch], 000h                  ; 80 7e f4 00
-    je short 0703eh                           ; 74 04
+    je short 071f2h                           ; 74 04
     mov al, dl                                ; 88 d0
-    jmp short 07050h                          ; eb 12
+    jmp short 07204h                          ; eb 12
     test cx, cx                               ; 85 c9
-    jnle short 06fcfh                         ; 7f 8d
-    jne short 07048h                          ; 75 04
+    jnle short 07183h                         ; 7f 8d
+    jne short 071fch                          ; 75 04
     test si, si                               ; 85 f6
-    jnbe short 06fcfh                         ; 77 87
+    jnbe short 07183h                         ; 77 87
     mov ax, word [bp-010h]                    ; 8b 46 f0
     push ax                                   ; 50
@@ -10179,5 +10355,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-read_logo_byte_:                             ; 0xf7059 LB 0x16
+read_logo_byte_:                             ; 0xf720d LB 0x16
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -10194,5 +10370,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-read_logo_word_:                             ; 0xf706f LB 0x14
+read_logo_word_:                             ; 0xf7223 LB 0x14
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -10207,5 +10383,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-print_detected_harddisks_:                   ; 0xf7083 LB 0x130
+print_detected_harddisks_:                   ; 0xf7237 LB 0x130
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -10219,5 +10395,5 @@
     mov dx, strict word 0000eh                ; ba 0e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0161ch                               ; e8 86 a5
+    call 0161ch                               ; e8 d2 a3
     mov si, ax                                ; 89 c6
     mov byte [bp-00ch], 000h                  ; c6 46 f4 00
@@ -10225,21 +10401,21 @@
     xor ch, ch                                ; 30 ed
     mov dx, 002c0h                            ; ba c0 02
-    call 01600h                               ; e8 5a a5
+    call 01600h                               ; e8 a6 a3
     mov byte [bp-00eh], al                    ; 88 46 f2
     xor bl, bl                                ; 30 db
     cmp bl, byte [bp-00eh]                    ; 3a 5e f2
-    jnc near 07185h                           ; 0f 83 d3 00
+    jnc near 07339h                           ; 0f 83 d3 00
     movzx dx, bl                              ; 0f b6 d3
     add dx, 002c1h                            ; 81 c2 c1 02
     mov ax, si                                ; 89 f0
-    call 01600h                               ; e8 42 a5
+    call 01600h                               ; e8 8e a3
     mov bh, al                                ; 88 c7
     cmp AL, strict byte 00ch                  ; 3c 0c
-    jc short 070e8h                           ; 72 24
+    jc short 0729ch                           ; 72 24
     test cl, cl                               ; 84 c9
-    jne short 070d5h                          ; 75 0d
+    jne short 07289h                          ; 75 0d
     push 009afh                               ; 68 af 09
     push strict byte 00002h                   ; 6a 02
-    call 0190dh                               ; e8 3d a8
+    call 01922h                               ; e8 9e a6
     add sp, strict byte 00004h                ; 83 c4 04
     mov CL, strict byte 001h                  ; b1 01
@@ -10249,34 +10425,34 @@
     push 009c3h                               ; 68 c3 09
     push strict byte 00002h                   ; 6a 02
-    call 0190dh                               ; e8 2b a8
+    call 01922h                               ; e8 8c a6
     add sp, strict byte 00006h                ; 83 c4 06
-    jmp near 07180h                           ; e9 98 00
+    jmp near 07334h                           ; e9 98 00
     cmp AL, strict byte 008h                  ; 3c 08
-    jc short 070ffh                           ; 72 13
+    jc short 072b3h                           ; 72 13
     test ch, ch                               ; 84 ed
-    jne short 070fdh                          ; 75 0d
+    jne short 072b1h                          ; 75 0d
     push 009d6h                               ; 68 d6 09
     push strict byte 00002h                   ; 6a 02
-    call 0190dh                               ; e8 15 a8
+    call 01922h                               ; e8 76 a6
     add sp, strict byte 00004h                ; 83 c4 04
     mov CH, strict byte 001h                  ; b5 01
-    jmp short 070d5h                          ; eb d6
+    jmp short 07289h                          ; eb d6
     cmp AL, strict byte 004h                  ; 3c 04
-    jnc short 0711ah                          ; 73 17
+    jnc short 072ceh                          ; 73 17
     cmp byte [bp-00ch], 000h                  ; 80 7e f4 00
-    jne short 0711ah                          ; 75 11
+    jne short 072ceh                          ; 75 11
     push 009eah                               ; 68 ea 09
     push strict byte 00002h                   ; 6a 02
-    call 0190dh                               ; e8 fc a7
+    call 01922h                               ; e8 5d a6
     add sp, strict byte 00004h                ; 83 c4 04
     mov byte [bp-00ch], 001h                  ; c6 46 f4 01
-    jmp short 07130h                          ; eb 16
+    jmp short 072e4h                          ; eb 16
     cmp bh, 004h                              ; 80 ff 04
-    jc short 07130h                           ; 72 11
+    jc short 072e4h                           ; 72 11
     test cl, cl                               ; 84 c9
-    jne short 07130h                          ; 75 0d
+    jne short 072e4h                          ; 75 0d
     push 009afh                               ; 68 af 09
     push strict byte 00002h                   ; 6a 02
-    call 0190dh                               ; e8 e2 a7
+    call 01922h                               ; e8 43 a6
     add sp, strict byte 00004h                ; 83 c4 04
     mov CL, strict byte 001h                  ; b1 01
@@ -10286,8 +10462,8 @@
     push 009fbh                               ; 68 fb 09
     push strict byte 00002h                   ; 6a 02
-    call 0190dh                               ; e8 d0 a7
+    call 01922h                               ; e8 31 a6
     add sp, strict byte 00006h                ; 83 c4 06
     cmp bh, 004h                              ; 80 ff 04
-    jc short 07148h                           ; 72 03
+    jc short 072fch                           ; 72 03
     sub bh, 004h                              ; 80 ef 04
     movzx ax, bh                              ; 0f b6 c7
@@ -10297,10 +10473,10 @@
     sar ax, 1                                 ; d1 f8
     test ax, ax                               ; 85 c0
-    je short 07159h                           ; 74 05
+    je short 0730dh                           ; 74 05
     push 00a05h                               ; 68 05 0a
-    jmp short 0715ch                          ; eb 03
+    jmp short 07310h                          ; eb 03
     push 00a10h                               ; 68 10 0a
     push strict byte 00002h                   ; 6a 02
-    call 0190dh                               ; e8 ac a7
+    call 01922h                               ; e8 0d a6
     add sp, strict byte 00004h                ; 83 c4 04
     movzx ax, bh                              ; 0f b6 c7
@@ -10309,27 +10485,27 @@
     idiv di                                   ; f7 ff
     test dx, dx                               ; 85 d2
-    je short 07176h                           ; 74 05
+    je short 0732ah                           ; 74 05
     push 00a19h                               ; 68 19 0a
-    jmp short 07179h                          ; eb 03
+    jmp short 0732dh                          ; eb 03
     push 00a1fh                               ; 68 1f 0a
     push di                                   ; 57
-    call 0190dh                               ; e8 90 a7
+    call 01922h                               ; e8 f1 a5
     add sp, strict byte 00004h                ; 83 c4 04
     db  0feh, 0c3h
     ; inc bl                                    ; fe c3
-    jmp near 070abh                           ; e9 26 ff
+    jmp near 0725fh                           ; e9 26 ff
     cmp byte [bp-00ch], 000h                  ; 80 7e f4 00
-    jne short 0719eh                          ; 75 13
+    jne short 07352h                          ; 75 13
     test cl, cl                               ; 84 c9
-    jne short 0719eh                          ; 75 0f
+    jne short 07352h                          ; 75 0f
     test ch, ch                               ; 84 ed
-    jne short 0719eh                          ; 75 0b
+    jne short 07352h                          ; 75 0b
     push 00a26h                               ; 68 26 0a
     push strict byte 00002h                   ; 6a 02
-    call 0190dh                               ; e8 72 a7
+    call 01922h                               ; e8 d3 a5
     add sp, strict byte 00004h                ; 83 c4 04
     push 00a3ah                               ; 68 3a 0a
     push strict byte 00002h                   ; 6a 02
-    call 0190dh                               ; e8 67 a7
+    call 01922h                               ; e8 c8 a5
     add sp, strict byte 00004h                ; 83 c4 04
     lea sp, [bp-00ah]                         ; 8d 66 f6
@@ -10341,5 +10517,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-get_boot_drive_:                             ; 0xf71b3 LB 0x28
+get_boot_drive_:                             ; 0xf7367 LB 0x28
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -10349,10 +10525,10 @@
     mov dx, strict word 0000eh                ; ba 0e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0161ch                               ; e8 59 a4
+    call 0161ch                               ; e8 a5 a2
     mov dx, 002c0h                            ; ba c0 02
-    call 01600h                               ; e8 37 a4
+    call 01600h                               ; e8 83 a2
     sub bl, 002h                              ; 80 eb 02
     cmp bl, al                                ; 38 c3
-    jc short 071d2h                           ; 72 02
+    jc short 07386h                           ; 72 02
     mov BL, strict byte 0ffh                  ; b3 ff
     mov al, bl                                ; 88 d8
@@ -10362,5 +10538,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-show_logo_:                                  ; 0xf71db LB 0x224
+show_logo_:                                  ; 0xf738f LB 0x224
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -10373,5 +10549,5 @@
     mov dx, strict word 0000eh                ; ba 0e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0161ch                               ; e8 2d a4
+    call 0161ch                               ; e8 79 a2
     mov si, ax                                ; 89 c6
     xor cl, cl                                ; 30 c9
@@ -10384,7 +10560,7 @@
     out strict byte 040h, AL                  ; e6 40
     movzx ax, dl                              ; 0f b6 c2
-    call 0706fh                               ; e8 68 fe
+    call 07223h                               ; e8 68 fe
     cmp ax, 066bbh                            ; 3d bb 66
-    jne near 072dfh                           ; 0f 85 d1 00
+    jne near 07493h                           ; 0f 85 d1 00
     push SS                                   ; 16
     pop ES                                    ; 07
@@ -10394,9 +10570,9 @@
     mov word [es:di], bx                      ; 26 89 1d
     cmp ax, strict word 0004fh                ; 3d 4f 00
-    jne near 072dfh                           ; 0f 85 bd 00
+    jne near 07493h                           ; 0f 85 bd 00
     mov al, dl                                ; 88 d0
     add AL, strict byte 004h                  ; 04 04
     xor ah, ah                                ; 30 e4
-    call 07059h                               ; e8 2e fe
+    call 0720dh                               ; e8 2e fe
     mov ch, al                                ; 88 c5
     mov byte [bp-00ch], al                    ; 88 46 f4
@@ -10404,5 +10580,5 @@
     add AL, strict byte 005h                  ; 04 05
     xor ah, ah                                ; 30 e4
-    call 07059h                               ; e8 20 fe
+    call 0720dh                               ; e8 20 fe
     mov dh, al                                ; 88 c6
     mov byte [bp-010h], al                    ; 88 46 f0
@@ -10410,5 +10586,5 @@
     add AL, strict byte 002h                  ; 04 02
     xor ah, ah                                ; 30 e4
-    call 0706fh                               ; e8 28 fe
+    call 07223h                               ; e8 28 fe
     mov bx, ax                                ; 89 c3
     mov word [bp-014h], ax                    ; 89 46 ec
@@ -10416,22 +10592,22 @@
     add AL, strict byte 006h                  ; 04 06
     xor ah, ah                                ; 30 e4
-    call 07059h                               ; e8 04 fe
+    call 0720dh                               ; e8 04 fe
     mov byte [bp-012h], al                    ; 88 46 ee
     test ch, ch                               ; 84 ed
-    jne short 07266h                          ; 75 0a
+    jne short 0741ah                          ; 75 0a
     test dh, dh                               ; 84 f6
-    jne short 07266h                          ; 75 06
+    jne short 0741ah                          ; 75 06
     test bx, bx                               ; 85 db
-    je near 072dfh                            ; 0f 84 79 00
+    je near 07493h                            ; 0f 84 79 00
     mov bx, 00142h                            ; bb 42 01
     mov ax, 04f02h                            ; b8 02 4f
     int 010h                                  ; cd 10
     cmp byte [bp-00ch], 000h                  ; 80 7e f4 00
-    je short 07297h                           ; 74 23
+    je short 0744bh                           ; 74 23
     xor bx, bx                                ; 31 db
-    jmp short 0727eh                          ; eb 06
+    jmp short 07432h                          ; eb 06
     inc bx                                    ; 43
     cmp bx, strict byte 00010h                ; 83 fb 10
-    jnbe short 0729eh                         ; 77 20
+    jnbe short 07452h                         ; 77 20
     mov ax, bx                                ; 89 d8
     or ah, 002h                               ; 80 cc 02
@@ -10440,30 +10616,30 @@
     xor dx, dx                                ; 31 d2
     mov ax, strict word 00001h                ; b8 01 00
-    call 06fa7h                               ; e8 18 fd
+    call 0715bh                               ; e8 18 fd
     cmp AL, strict byte 086h                  ; 3c 86
-    jne short 07278h                          ; 75 e5
+    jne short 0742ch                          ; 75 e5
     mov CL, strict byte 001h                  ; b1 01
-    jmp short 0729eh                          ; eb 07
+    jmp short 07452h                          ; eb 07
     mov ax, 00210h                            ; b8 10 02
     mov dx, 003b8h                            ; ba b8 03
     out DX, ax                                ; ef
     test cl, cl                               ; 84 c9
-    jne short 072b4h                          ; 75 12
+    jne short 07468h                          ; 75 12
     mov ax, word [bp-014h]                    ; 8b 46 ec
     shr ax, 004h                              ; c1 e8 04
     mov dx, strict word 00001h                ; ba 01 00
-    call 06fa7h                               ; e8 f9 fc
+    call 0715bh                               ; e8 f9 fc
     cmp AL, strict byte 086h                  ; 3c 86
-    jne short 072b4h                          ; 75 02
+    jne short 07468h                          ; 75 02
     mov CL, strict byte 001h                  ; b1 01
     cmp byte [bp-010h], 000h                  ; 80 7e f0 00
-    je short 072dfh                           ; 74 25
+    je short 07493h                           ; 74 25
     test cl, cl                               ; 84 c9
-    jne short 072dfh                          ; 75 21
+    jne short 07493h                          ; 75 21
     mov bx, strict word 00010h                ; bb 10 00
-    jmp short 072c8h                          ; eb 05
+    jmp short 0747ch                          ; eb 05
     dec bx                                    ; 4b
     test bx, bx                               ; 85 db
-    jbe short 072dfh                          ; 76 17
+    jbe short 07493h                          ; 76 17
     mov ax, bx                                ; 89 d8
     or ah, 002h                               ; 80 cc 02
@@ -10472,39 +10648,39 @@
     xor dx, dx                                ; 31 d2
     mov ax, strict word 00001h                ; b8 01 00
-    call 06fa7h                               ; e8 ce fc
+    call 0715bh                               ; e8 ce fc
     cmp AL, strict byte 086h                  ; 3c 86
-    jne short 072c3h                          ; 75 e6
+    jne short 07477h                          ; 75 e6
     mov CL, strict byte 001h                  ; b1 01
     xor bx, bx                                ; 31 db
     mov dx, 00339h                            ; ba 39 03
     mov ax, si                                ; 89 f0
-    call 0160eh                               ; e8 25 a3
+    call 0160eh                               ; e8 71 a1
     mov AL, strict byte 003h                  ; b0 03
     mov AH, strict byte 000h                  ; b4 00
     int 010h                                  ; cd 10
     cmp byte [bp-012h], 000h                  ; 80 7e ee 00
-    je near 073e0h                            ; 0f 84 e9 00
+    je near 07594h                            ; 0f 84 e9 00
     cmp byte [bp-00ch], 000h                  ; 80 7e f4 00
-    jne short 0732dh                          ; 75 30
+    jne short 074e1h                          ; 75 30
     cmp byte [bp-010h], 000h                  ; 80 7e f0 00
-    jne short 0732dh                          ; 75 2a
+    jne short 074e1h                          ; 75 2a
     cmp word [bp-014h], strict byte 00000h    ; 83 7e ec 00
-    jne short 0732dh                          ; 75 24
+    jne short 074e1h                          ; 75 24
     cmp byte [bp-012h], 002h                  ; 80 7e ee 02
-    jne short 0731ah                          ; 75 0b
+    jne short 074ceh                          ; 75 0b
     push 00a3ch                               ; 68 3c 0a
     push strict byte 00002h                   ; 6a 02
-    call 0190dh                               ; e8 f6 a5
+    call 01922h                               ; e8 57 a4
     add sp, strict byte 00004h                ; 83 c4 04
     test cl, cl                               ; 84 c9
-    jne short 0732dh                          ; 75 0f
+    jne short 074e1h                          ; 75 0f
     mov dx, strict word 00001h                ; ba 01 00
     mov ax, 000c0h                            ; b8 c0 00
-    call 06fa7h                               ; e8 80 fc
+    call 0715bh                               ; e8 80 fc
     cmp AL, strict byte 086h                  ; 3c 86
-    jne short 0732dh                          ; 75 02
+    jne short 074e1h                          ; 75 02
     mov CL, strict byte 001h                  ; b1 01
     test cl, cl                               ; 84 c9
-    je near 073e0h                            ; 0f 84 ad 00
+    je near 07594h                            ; 0f 84 ad 00
     mov byte [bp-00eh], 000h                  ; c6 46 f2 00
     mov ax, 00100h                            ; b8 00 01
@@ -10525,52 +10701,52 @@
     push 00a5eh                               ; 68 5e 0a
     push strict byte 00002h                   ; 6a 02
-    call 0190dh                               ; e8 b1 a5
+    call 01922h                               ; e8 12 a4
     add sp, strict byte 00004h                ; 83 c4 04
-    call 07083h                               ; e8 21 fd
+    call 07237h                               ; e8 21 fd
     push 00aa2h                               ; 68 a2 0a
     push strict byte 00002h                   ; 6a 02
-    call 0190dh                               ; e8 a3 a5
+    call 01922h                               ; e8 04 a4
     add sp, strict byte 00004h                ; 83 c4 04
     mov dx, strict word 00001h                ; ba 01 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 06fa7h                               ; e8 31 fc
+    call 0715bh                               ; e8 31 fc
     mov bl, al                                ; 88 c3
     test al, al                               ; 84 c0
-    je short 0736dh                           ; 74 f1
+    je short 07521h                           ; 74 f1
     cmp AL, strict byte 030h                  ; 3c 30
-    je short 073ceh                           ; 74 4e
+    je short 07582h                           ; 74 4e
     cmp bl, 002h                              ; 80 fb 02
-    jc short 073a7h                           ; 72 22
+    jc short 0755bh                           ; 72 22
     cmp bl, 009h                              ; 80 fb 09
-    jnbe short 073a7h                         ; 77 1d
+    jnbe short 0755bh                         ; 77 1d
     movzx ax, bl                              ; 0f b6 c3
-    call 071b3h                               ; e8 23 fe
+    call 07367h                               ; e8 23 fe
     cmp AL, strict byte 0ffh                  ; 3c ff
-    jne short 07396h                          ; 75 02
-    jmp short 0736dh                          ; eb d7
+    jne short 0754ah                          ; 75 02
+    jmp short 07521h                          ; eb d7
     movzx bx, al                              ; 0f b6 d8
     mov dx, 00338h                            ; ba 38 03
     mov ax, si                                ; 89 f0
-    call 0160eh                               ; e8 6d a2
+    call 0160eh                               ; e8 b9 a0
     mov byte [bp-00eh], 002h                  ; c6 46 f2 02
-    jmp short 073ceh                          ; eb 27
+    jmp short 07582h                          ; eb 27
     cmp bl, 02eh                              ; 80 fb 2e
-    je short 073bch                           ; 74 10
+    je short 07570h                           ; 74 10
     cmp bl, 026h                              ; 80 fb 26
-    je short 073c2h                           ; 74 11
+    je short 07576h                           ; 74 11
     cmp bl, 021h                              ; 80 fb 21
-    jne short 073c8h                          ; 75 12
+    jne short 0757ch                          ; 75 12
     mov byte [bp-00eh], 001h                  ; c6 46 f2 01
-    jmp short 073ceh                          ; eb 12
+    jmp short 07582h                          ; eb 12
     mov byte [bp-00eh], 003h                  ; c6 46 f2 03
-    jmp short 073ceh                          ; eb 0c
+    jmp short 07582h                          ; eb 0c
     mov byte [bp-00eh], 004h                  ; c6 46 f2 04
-    jmp short 073ceh                          ; eb 06
+    jmp short 07582h                          ; eb 06
     cmp byte [bp-00eh], 000h                  ; 80 7e f2 00
-    je short 0736dh                           ; 74 9f
+    je short 07521h                           ; 74 9f
     movzx bx, byte [bp-00eh]                  ; 0f b6 5e f2
     mov dx, 00339h                            ; ba 39 03
     mov ax, si                                ; 89 f0
-    call 0160eh                               ; e8 34 a2
+    call 0160eh                               ; e8 80 a0
     mov AL, strict byte 003h                  ; b0 03
     mov AH, strict byte 000h                  ; b4 00
@@ -10585,5 +10761,5 @@
     push DS                                   ; 1e
     mov ds, ax                                ; 8e d8
-    call 0edbfh                               ; e8 cd 79
+    call 0edbfh                               ; e8 19 78
     pop DS                                    ; 1f
     popad                                     ; 66 61
